<!DOCTYPE html>
<html>
  <title>Pizza 365 project</title>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />

  <link
    rel="stylesheet"
    href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
  />
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <body onload="onPageLoading()">
    <div class="container">
      <div class="text-center pt-5">
        <span class="h3 border-bottom-3 pt-5">Chọn đồ uống</span>
      </div>
      <div class="form-group">
        <label for="drink-select">Đồ uống</label>
        <select class="form-control" id="drink-select">
          <option>Chọn đồ uống</option>
        </select>
      </div>
      <button
        id="btn-show-result"
        class="btn btn-primary mb-2"
        style="width: 300px;"
        onclick="onBtnHienThiClick()"
      >
        Hiển thị
      </button>
      <p id="p-hien-thi"></p>
    </div>

    <script>
      "use strict";
      /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
      const gREQUEST_STATUS_OK = 200;
      const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
      /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

      /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
      //hàm thực thi khi tải trang
      function onPageLoading() {
        var vXhttp = new XMLHttpRequest();
        vXhttp.onreadystatechange = function () {
          if (
            this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK &&
            this.status == gREQUEST_STATUS_OK
          ) {
            var bDrinkList = JSON.parse(vXhttp.responseText);
            //B4: Hiển thị dữ liệu
            thuThapDuLieu(bDrinkList);
          }
        };

        //B3: gọi api lấy list nước uống
        goiApi(vXhttp);
      }

      //hàm thực thi khi nút Hiển thị được click
      function onBtnHienThiClick() {
        var vDrinkSelect = document.getElementById("drink-select");
        var vPHienThi = document.getElementById("p-hien-thi");
        vPHienThi.innerHTML = vDrinkSelect.value;
      }
      /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
      //hàm gọi api lấy list nước uống
      function goiApi(paramXhttp) {
        paramXhttp.open(
          "GET",
          "http://203.171.20.210:8080/devcamp-pizza365/drinks",
          true
        );
        paramXhttp.send();
      }

      //hàm hiển thị dữ liệu
      function thuThapDuLieu(paramDrinkList) {
        var vSelectElement = document.getElementById("drink-select");

        for (let bIndex = 0; bIndex < paramDrinkList.length; bIndex++) {
          let bDrink = paramDrinkList[bIndex];

          let bDrinkOptionElement = document.createElement("option");
          bDrinkOptionElement.value = bDrink.maNuocUong;
          bDrinkOptionElement.text = bDrink.tenNuocUong;

          vSelectElement.appendChild(bDrinkOptionElement);
        }
      }
    </script>
  </body>
</html>
